I built a Sles 10 machine in our lab, it's based on kernel 2.6.16.x:
Linux r04s22 2.6.16.21-0.8-smp #1 SMP Mon Jul 3 18:25:39 UTC 2006
x86_64 x86_64 x86_64 GNU/Linux

I installed via Yast the open-iscsi initiator software and noticed the
version it comes with is way too old!
r04s22:/etc/rc.d # iscsiadm -V
iscsiadm version 1.0-604
r04s22:/etc/rc.d # iscsistart -v
iscsistart version 1.0-604

Question:  in rpmfind, the latest open-iscsi update for Sles 10 seems
to be:

open-iscsi-2.0.713-13.x86_64.html       Linux* Open-iSCSI Software Initiator
SuSE Linux 10.2 updates for i386         open-iscsi-2.0.713-13.x86_64.rpm

this is the latest rpm then?

well, i tried to download the last stable release and compile; and
seems like I'm missing some shared libraries ... new to Sles and have
been spoiled by "yum" ... so I'm not sure how to check for
dependencies here ... I tried to search and install in yast all rpms
the match "glib" as a string criteria, yet I still get the same
error ...

shared libraries from the glibc version used for linking
make[1]: Leaving directory `/tmp/open-iscsi-2.0-865.15/usr'
make -C kernel
cat: /lib/modules/2.6.16.21-0.8-smp/build/Makefile: No such file or
directory
make[1]: Entering directory `/tmp/open-iscsi-2.0-865.15/kernel'
make[1]: *** No rule to make target `linux_2_6_', needed by
`kernel_check'.  Stop.
make[1]: Leaving directory `/tmp/open-iscsi-2.0-865.15/kernel'
make: *** [all] Error 2


If anyone has any suggestions, would be greatly appreciated.

- a.
--~--~---------~--~----~------------~-------~--~----~
You received this message because you are subscribed to the Google Groups 
"open-iscsi" group.
To post to this group, send email to open-iscsi@googlegroups.com
To unsubscribe from this group, send email to [EMAIL PROTECTED]
For more options, visit this group at http://groups.google.com/group/open-iscsi
-~----------~----~----~----~------~----~------~--~---

Reply via email to